import javax.script.ScriptContext;

public class Hello
{
	private static ScriptContext context;
	
	public static void setScriptContext(ScriptContext ctxt)
	{
		context = ctxt;
	}
	
	public static void main(String[] args)
	{
		System.out.println("Hello, Java-world.");
		
		// You can access toolagent parameters by name;
		//String name = "foo";
		//Object o = context.getAttribute(name, ScriptContext.ENGINE_SCOPE);
	}
}